Support » Plugin: Awesome Support - WordPress HelpDesk & Support Plugin » An Active PHP sessions was detected

  • Resolved mikeydev

    (@mikeydev)


    This error message is appearing on my site in Site Health since the WordPress 5.5 upgrade

    An Active PHP sessions was detected

    A PHP session was created by a session_start() function call. This interferes with REST API and loopback requests. The session should be closed by session_write_close() before making any HTTP requests.

    Deactivating the plugin removes the error.

    • This topic was modified 1 year, 2 months ago by mikeydev.
Viewing 15 replies - 1 through 15 (of 19 total)
  • Plugin Author yeisonbp

    (@yeisonbp)

    Hi @mikeydev,

    Thanks for letting us know this. It looks like this message is being shown to other plugins since the update to WP version 5.5. I sent a report to the Developers to investigate this case. Also, do you see an error or issue in the interface of Awesome Support?

    Regards.

    I got the same issue and could not submit a support ticket as a customer. No matter which account I logged into (switched to) the form always showed the same fields filled in – it wasn’t a new form. And it wouldn’t save – but would send me to a 404 page. Disabling the plugin removed the issue.

    Fabio

    (@fpuccinelli8)

    I too am having the same issue:

    A PHP session was created by a session_start() function call. This interferes with REST API and loopback requests. The session should be closed by session_write_close() before making any HTTP requests.

    Before I place my order for your paid version, I need to know its issue can be resolved.

    ISSUE:

    At first, I reached out to my hosting provider and they told me that the issue stems from Awesome Support Plugin. The following is my host providers message:
    My name is Andrija, and I am working on a “Custom request” for veriseal.pro.
    Per your request, I have checked your website and found out that this site health issue is related directly to the Awesome Support plugin. When deactivated, site health reports no critical issues as you can see here:
    https://prnt.sc/u3dlpp
    I have activated it again, in case you need it, but, if this plugin is not required for your website feel free to deactivate it. Please note that this issue is related to the plugin code itself and it will possibly be solved with some of the new plugin updates.
    If you have more questions regarding this issue you can always contact the plugin support here:
    https://getawesomesupport.com/submit-ticket/
    We were glad to help you find the source of this issue for you, but since we didn’t solve it, I have refunded one credit to your subscription (current state 3/5).

    Also, no error or issue is shown in the interface of Awesome Support.

    I look forward to your reply.

    Thank you,
    Fabio

    Plugin Author yeisonbp

    (@yeisonbp)

    Hi,

    Thanks for your information. This issue is under investigation by my team. Also, could you share us the debug.log error messages shown in your sites?

    Regards.

    Fabio

    (@fpuccinelli8)

    Not sure where to find the debug.log? I went into my cPanel/wp-content folder but only found a file named debug.log-old The content of this file only contains a log up July 26/2020
    I also searched the rest of the folders but can not find debug.log file.

    After I posted this issue, I was able to submit a ticket regarding this matter.
    Yeison is currently helping me. This is the reply I received:

    Yeison
    August 26, 2020 12:22 am
    Hi Fabio,

    Thanks for reaching us. I created a report so that the developers can look at the information you kindly share us. The fixes applied will be released in an upcoming release.

    Regards.

    Plugin Author yeisonbp

    (@yeisonbp)

    Hi,

    While we are working on the fixes, there is a plugin that WordPress launched for compatibility since its update to version 5.5:

    https://wordpress.org/plugins/enable-jquery-migrate-helper/

    Please let me know if this works (you might be seen a message on top of your backend, this is expected while using the plugin).

    Regards.

    Fabio

    (@fpuccinelli8)

    Hi,

    I installed the jQuery Migrate Helper Plugin and activated it and I still have the same critical issue showing.

    “A PHP session was created by a session_start() function call. This interferes with REST API and loopback requests. The session should be closed by session_write_close() before making any HTTP requests”.

    I’ll hold on until the fix is made.

    Regards.

    Hello!
    I have the same problem – An Active PHP session was detected
    This error message is appearing on my site in Site Health (WordPress 5.5.1).

    A PHP session was created by a session_start() function call. This interferes with REST API and loopback requests. The session should be closed by session_write_close() before making any HTTP requests.

    Deactivating the plugin removes the error.

    When should we wait for the plugin update?

    Fabio

    (@fpuccinelli8)

    Hi lemoncpl,

    They are working on the fixes, the suggested plugin that WordPress launched for compatibility since its update to version 5.5:

    https://wordpress.org/plugins/enable-jquery-migrate-helper/

    Did not work for me. I’ve rolled back to version 5.8.2. and I don’t have any issues.
    I just wait until the fix has been rolled out.

    Fab

    Plugin Author yeisonbp

    (@yeisonbp)

    Hi @fpuccinelli8,

    Thanks for the additional info, I will send the report to the developers that the Plugin works well in version 5.8.2 but not in 6.0. Also, here is a guide to see the debug.log file:

    https://wordpress.org/support/article/debugging-in-wordpress/

    @lemoncpl, @rjjacob, @mikeydev, my team is investigating and working for a solution to this issue.

    Regards.

    Fabio

    (@fpuccinelli8)

    Hi Yeisonbp,

    Sorry for the delay in my reply. This start of school has taken me away from the development of my site. FYI, I ran into more issues and had to conduct a plugin conflict test. In doing so, it lead me again to your Awesome Support plugin.

    My host provider also confired that Awesome Support plugin is causing issues.

    This is the reply I received from my host provider rep:
    vsutanovac – September 5, 2020, 05:49 a.m.
    Hi Fabio,
    My name is Vladimir WPPS team. Thanks for reaching out.
    The intermittently Error 502 isn’t related to the hosting issues.
    I’ve increased the memory limit by adding the code in wp-config.php define(‘WP_MAX_MEMORY_LIMIT’, ‘1024M’);
    Also, debug mode reported the Awesome Support plugin database issues so I deactivated it.
    Now, I am not able to use your plugin, including version 5.8.2.

    The following is a snipit of the error log:

    0`5-Sep-2020 08:49:18 UTC] PHP Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /home/mg95c960pfsk/public_html/wp-content/plugins/awesome-support/includes/functions-templating.php on line 694
    [05-Sep-2020 08:49:18 UTC] PHP Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /home/mg95c960pfsk/public_html/wp-content/plugins/awesome-support/includes/class-product-sync.php on line 193
    [05-Sep-2020 08:49:18 UTC] PHP Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /home/mg95c960pfsk/public_html/wp-content/plugins/awesome-support/includes/class-product-sync.php on line 220
    [05-Sep-2020 08:49:18 UTC] PHP Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /home/mg95c960pfsk/public_html/wp-content/plugins/awesome-support/includes/functions-templating.php on line 694
    [05-Sep-2020 08:49:18 UTC] PHP Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /home/mg95c960pfsk/public_html/wp-content/plugins/awesome-support/includes/class-product-sync.php on line 242
    [05-Sep-2020 08:49:18 UTC] PHP Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /home/mg95c960pfsk/public_html/wp-content/plugins/awesome-support/includes/class-product-sync.php on line 193
    [05-Sep-2020 08:49:18 UTC] PHP Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /home/mg95c960pfsk/public_html/wp-content/plugins/awesome-support/includes/class-product-sync.php on line 220
    [05-Sep-2020 08:49:18 UTC] PHP Warning: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in /home/mg95c960pfsk/public_html/wp-content/plugins/awesome-support/includes/class-product-sync.php on line 242
    [05-Sep-2020 08:49:18 UTC] WordPress database error Table ‘i4767007_wp1.wp_sm_sessions’ doesn’t exist for query SELECT * FROM wp_sm_sessions WHERE session_key = ’71bbaba62dd022719b9dc9dd8ef99ece’ made by require(‘wp-blog-header.php’), require_once(‘wp-load.php’), require_once(‘wp-config.php’), require_once(‘wp-settings.php’), include_once(‘/plugins/awesome-support/awesome-support.php’), WPAS, Awesome_Support::instance, Awesome_Support->init, WPAS_Session->__construct, WPAS_Session->init, WP_Session::get_instance, WP_Session->__construct, WP_Session->read_data, WP_Session_Utils::get_session, QM_DB->query
    [05-Sep-2020 08:49:18 UTC] WordPress database error Table ‘i4767007_wp1.wp_sm_sessions’ doesn’t exist for query SELECT * FROM wp_sm_sessions WHERE session_key = ‘e4595a750ac8e9892394771ef74a166e’ made by require(‘wp-blog-header.php’), require_once(‘wp-load.php’), require_once(‘wp-config.php’), require_once(‘wp-settings.php’), include_once(‘/plugins/awesome-support/awesome-support.php’), WPAS, Awesome_Support::instance, Awesome_Support->init, WPAS_Session->__construct, WPAS_Session->init, WP_Session::get_instance, WP_Session->__construct, WP_Session->read_data, WP_Session_Utils::get_session, QM_DB->query`

    For now I have deactivated your plugin. Please let me and other know whe a fix has been made.

    Regards,
    Fabio Puccinelli

    Plugin Author yeisonbp

    (@yeisonbp)

    Hi @fpuccinelli8,

    The continue 2 messagges were fixed with the update of the 6.0 update. A new version with bugfixes will be launched soon, so please let us know if this update works.

    Thanks.

    Fabio

    (@fpuccinelli8)

    Hi Yeisonbp,

    Thank you for the follow-up and the great news.
    Looking forward to re-activating your plugin and to use your plugin again.

    I’ll keep an eye out for the launch of the new version.

    Fabio

    Plugin Author yeisonbp

    (@yeisonbp)

    Hi @fpuccinelli8,

    Please update the plugin. We updated it a few days ago. Let us know if this update fixes your issues.

    Regards.

    Fabio

    (@fpuccinelli8)

    Hi Yeisonbp,

    Thank you for the follow-up and the great news.
    I’ve re-activated your plugin and I will need a couple of days to see if all is good.

    Fabio

Viewing 15 replies - 1 through 15 (of 19 total)
  • The topic ‘An Active PHP sessions was detected’ is closed to new replies.